Bug 1698738 (CVE-2006-7254) - CVE-2006-7254 glibc: Not closing unhadleable client sockets due to nscd daemon leads to DoS.
Summary: CVE-2006-7254 glibc: Not closing unhadleable client sockets due to nscd daemo...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2006-7254
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1698739 1698740
Blocks: 1699295
TreeView+ depends on / blocked
 
Reported: 2019-04-11 07:05 UTC by Marian Rehak
Modified: 2019-09-29 15:11 UTC (History)
13 users (show)

Fixed In Version: glibc 2.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-17 04:22:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 2498 None None None 2019-04-30 10:12:30 UTC

Description Marian Rehak 2019-04-11 07:05:28 UTC
The nscd daemon in the GNU C Library (glibc) before version 2.5 does not close incoming client sockets if they cannot be handled by the daemon, allowing local users to carry out a denial of service attack on the daemon.

Comment 1 Marian Rehak 2019-04-11 07:05:44 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-28 [bug 1698739]
Affects: fedora-29 [bug 1698740]

Comment 6 Huzaifa S. Sidhpurwala 2019-04-17 04:22:16 UTC
External References:

https://sourceware.org/bugzilla/show_bug.cgi?id=2498


Note You need to log in before you can comment on or make changes to this bug.